Salesly API
API Reference

List products

GET
/products

Authorization

x-api-key<token>

Your tenant API key

In: header

Query Parameters

per_pageinteger

Items per page (1-100, default 15)

Default: 15Minimum: 1Maximum: 100
pageinteger

Page number

Default: 1Minimum: 1
curl -X GET "https://rest.salesly.app/api/v1/developers/products?per_page=15&page=1" \
  -H "x-api-key: <token>"

Paginated list of products

{
  "pagination": {
    "total": 0,
    "per_page": 0,
    "current_page": 0,
    "last_page": 0,
    "has_more": true
  },
  "data": [
    {
      "id": 0,
      "reference": "string",
      "name": "string",
      "description": "string",
      "vat_id": 0,
      "product_category_id": 0,
      "services": "string",
      "stock": 0,
      "rates": [
        {
          "id": 0,
          "sku": "string",
          "cost": 0,
          "price": 0,
          "primary": true
        }
      ],
      "category": {
        "id": 0,
        "name": "string",
        "reference": "string",
        "parent_id": 0,
        "has_products": true,
        "has_objectives": true,
        "children": [
          {
            "id": 0,
            "name": "string",
            "reference": "string",
            "parent_id": 0,
            "has_products": true,
            "has_objectives": true,
            "children": [],
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}